<?php
namespace Util\QR2;

use Zeedhi\Framework\Report\Strategy\QR2Strategy;

class Factory {

    public static function factory($qr2Type, $baseUrl, $serverUrl, $port, $language = 'POR') {
        $options = array(
            'connection_timeout' => 7200,
            'stream_context' => stream_context_create(array(
                'ssl' => array(
                    'verify_peer' => false,
                    'verify_peer_name' => false,
                    'allow_self_signed' => true
                )
            ))
        );
        return new QR2Strategy($qr2Type, $baseUrl, $serverUrl, $port, $language, $options);
    }

}
